Bug 5682 - Change name of topic in ws-gram currently known as RP_STATE
: Change name of topic in ws-gram currently known as RP_STATE
Status: CLOSED FIXED
: GRAM
wsrf managed execution job service
: 4.1.2
: Macintosh All
: P3 normal
: 4.2
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2007-11-19 19:46 by
Modified: 2007-11-22 23:15 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-11-19 19:46:18
In WS-GRAM the topic being subscribed to to get bundled information about
state, exit code, holding and fault has the same QName as the 'state'
resource property. The expectation for subscribing to that would be a 
ResourcePropertyValueChangeNotification with a NewValues element containing
the value of the types:state RP that has changed. Because WS-GRAM packages
together several resource properties into a single notification, it should
publish a new Topic with a different name that includes those pieces.
------- Comment #1 From 2007-11-19 22:10:24 -------
I renamed the existing Topic. It's QName is now
{http://www.globus.org/namespaces/2004/10/gram/job}stateChangeInformation

I committed the change to a branch named ws-gram-bug5682
------- Comment #2 From 2007-11-19 22:14:28 -------
I didn't change the namespace yet. When the new job termination
code gets committed this should be done.
------- Comment #3 From 2007-11-21 13:30:22 -------
MJFS.createManagedJob() now also throws a TopicNotSupportedFaultType
in case someone refers to the old and no longer existing topic name
or to another non-existing topic name in the Subscribe element of the
createManagedJob element in a job submission.
------- Comment #4 From 2007-11-21 14:16:26 -------
Merged code from ws-gram-bug5682 to trunk. This includes
Java and C changes.